Implemented 3.17.0 update issues and fixes

Status
Not open for further replies.

Rodolfo

Don Chevere
Chevereto Staff
Administrator
License owner
Hey there,

So far I've detected 4 major issues in 3.17:
  • Missing Spanish, Chinese translations
    At this time you could download the previous release and just replace app/contents/language/* with the missing files. You can also download the .po files from https://chevereto.oneskyapp.com/
  • Composer detected issues in your platform (PHP version)
    (not a bug) V3.17 requires PHP 7.3, it won't work with older releases.
  • Dumped update query
    (not a bug) If /install displays a message of the kind # Dumped update query. https://v3-docs.chevereto.com/setup/update-guide.html#manual-procedure open the link and read. For real, read the instructions and please don't panic.
  • oEmbed not working properly
    Replace app/routes/route.oembed.php with the attachment
 

Attachments

  • route.oembed.zip
    1.3 KB · Views: 24

Rodolfo

Don Chevere
Chevereto Staff
Administrator
License owner
Please include support for PHP 8.0.0 for Chevereto 3.17.1+.
Thanks.
For marketing purposes I can surely guarantee PHP 8.0 support but it won't work anyway. Not only my code needs to be patched for 8.0, but all the dependencies (and there are many) so I won't tag any release for PHP 8, and support for it will be available once all dependencies also support it.
 

RizkiKhaizir

Network license
License owner
Dear user,

Anytime you have issues with the installer the only workaround is to proceed with the manual process. Go to /install and complete the process.
I have problems when updating to version 3.17 from 3.16, the server has a problem, he said, even though when I update on another website there are no problems, this happens only on my website pictures.my.id, if I use /install then where can I download the version 3.17 ?
 

Rodolfo

Don Chevere
Chevereto Staff
Administrator
License owner
I have problems when updating to version 3.17 from 3.16, the server has a problem, he said, even though when I update on another website there are no problems, this happens only on my website pictures.my.id, if I use /install then where can I download the version 3.17 ?
 

tuxcomss

New Member
Got it. The file is not actually replaced, apparently related to permissions. How would I solve this problem? I will look for.
 

itdatatelecom

Network license
License owner

Update failed​

  • 02:25:21 Can't connect to %s
  • 02:24:36 Attempting to extract v3.17.0
  • 02:24:36 Downloaded v3.17.0, proceeding to extraction
  • 02:24:34 Starting v3.17.0 download
  • 02:24:34 Update needed, proceeding to download
  • 02:24:34 Last available release is v3.17.0
  • 02:24:33 Installed version is v3.16.2
 

itdatatelecom

Network license
License owner

Update failed​

  • 02:25:21 Can't connect to %s
  • 02:24:36 Attempting to extract v3.17.0
  • 02:24:36 Downloaded v3.17.0, proceeding to extraction
  • 02:24:34 Starting v3.17.0 download
  • 02:24:34 Update needed, proceeding to download
  • 02:24:34 Last available release is v3.17.0
  • 02:24:33 Installed version is v3.16.2
[14-Dec-2020 00:29:25 UTC] PHP Fatal error: Uncaught Error: Class 'ComposerAutoloaderInitd4a974a4f3cb237c3d9e80224bc99c5e' not found in /home/imgbbro/public_html/app/vendor/autoload.php:7
Stack trace:
#0 /home/imgbbro/public_html/app/loader.php(104): require_once()
#1 /home/imgbbro/public_html/index.php(20): include_once('/home/imgbbro/p...')
#2 {main}
thrown in /home/imgbbro/public_html/app/vendor/autoload.php on line 7
[14-Dec-2020 00:29:26 UTC] PHP Fatal error: Uncaught Error: Class 'ComposerAutoloaderInitd4a974a4f3cb237c3d9e80224bc99c5e' not found in /home/imgbbro/public_html/app/vendor/autoload.php:7
Stack trace:
#0 /home/imgbbro/public_html/app/loader.php(104): require_once()
#1 /home/imgbbro/public_html/index.php(20): include_once('/home/imgbbro/p...')
#2 {main}
thrown in /home/imgbbro/public_html/app/vendor/autoload.php on line 7
[14-Dec-2020 00:29:36 UTC] PHP Fatal error: Uncaught Error: Class 'ComposerAutoloaderInitd4a974a4f3cb237c3d9e80224bc99c5e' not found in /home/imgbbro/public_html/app/vendor/autoload.php:7
Stack trace:
#0 /home/imgbbro/public_html/app/loader.php(104): require_once()
#1 /home/imgbbro/public_html/index.php(20): include_once('/home/imgbbro/p...')
#2 {main}
thrown in /home/imgbbro/public_html/app/vendor/autoload.php on line 7
 
Status
Not open for further replies.
Top